[Server (OS)/Linux]
리눅스 UFW ERROR: Couldn't determine iptables version 오류 해결 방법

2020. 9. 12. 06:23


728x90

리눅스의 ufw 방화벽을 설정하고있는데 ERROR: Couldn't determine iptables version 오류가 발생했다.

문제가 발생하는 이유는 버스터에는 두가지 iptables 종류가 있다.

 > $ update-alternatives --list iptables
   /usr/sbin/iptables-legacy
   /usr/sbin/iptables-nft

기본적으로는 iptables-ntf를 사용하는데, 이를 iptables-lagacy로 변경해주면 정상적으로 오류를 해결할 수 있다.

sudo update-alternatives --set iptables /usr/sbin/iptables-legacy

위 명령어를 이용해 iptables-lagacy로 변경한 뒤 재부팅 후 정상작동을 확인할 수 있다.